Bug 734601 - [abrt] teeworlds-0.5.2-3.fc15: GAMECLIENT::on_render: Process /usr/bin/teeworlds was killed by signal 11 (SIGSEGV)
Summary: [abrt] teeworlds-0.5.2-3.fc15: GAMECLIENT::on_render: Process /usr/bin/teewor...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: teeworlds
Version: 15
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:8954efd847190efba959b9aaf81...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-30 21:27 UTC by Stian Ellingsen
Modified: 2012-08-07 16:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 16:51:37 UTC


Attachments (Terms of Use)

Description Stian Ellingsen 2011-08-30 21:27:43 UTC
abrt version: 2.0.3
architecture:   i686
backtrace_rating: 4
cmdline:        teeworlds
comment:        This happened while playing normally on a modded map.
component:      teeworlds
crash_function: GAMECLIENT::on_render
executable:     /usr/bin/teeworlds
kernel:         2.6.38.8-35.fc15.i686
os_release:     Fedora release 15 (Lovelock)
package:        teeworlds-0.5.2-3.fc15
reason:         Process /usr/bin/teeworlds was killed by signal 11 (SIGSEGV)
time:           Tue Aug 30 19:56:05 2011
uid:            500
username:       stian

backtrace:
:[New LWP 2117]
:[New LWP 2119]
:warning: .dynamic section for "/usr/lib/libGLU.so.1.3.071100" is not at the expected address (wrong library or version mismatch?)
:warning: .dynamic section for "/usr/lib/libstdc++.so.6" is not at the expected address (wrong library or version mismatch?)
:Missing separate debuginfo for 
:Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/45/190d029703ca464ad5c5eb6b7f99426a51a2e3
:[Thread debugging using libthread_db enabled]
:Core was generated by `teeworlds'.
:Program terminated with signal 11, Segmentation fault.
:#0  0x0806e6c3 in GAMECLIENT::on_render (this=0x80bd980) at src/game/client/gameclient.cpp:379
:379			all.components[i]->on_render();
:
:Thread 2 (Thread 0xb773bb70 (LWP 2119)):
:#0  0x008bb416 in __kernel_vsyscall ()
:No symbol table info available.
:#1  0x4991c3c6 in nanosleep () at ../sysdeps/unix/syscall-template.S:82
:No locals.
:#2  0x4995076d in usleep (useconds=10000) at ../sysdeps/unix/sysv/linux/usleep.c:33
:        ts = {tv_sec = 0, tv_nsec = 10000000}
:#3  0x08075ec4 in worker_thread (user=0x82b06e0) at src/engine/e_jobs.c:34
:        job = 0x0
:        pool = 0x82b06e0
:#4  0x49a11a2e in start_thread (arg=0xb773bb70) at pthread_create.c:305
:        __res = <optimized out>
:        pd = 0xb773bb70
:        now = <optimized out>
:        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {1235361780, 0, 4001536, -1217153912, -1624792535, 980621780}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
:        not_first_call = <optimized out>
:        pagesize_m1 = <optimized out>
:        sp = <optimized out>
:        freesize = <optimized out>
:#5  0x4995734e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133
:No locals.
:
:Thread 1 (Thread 0xb773c6d0 (LWP 2117)):
:#0  0x0806e6c3 in GAMECLIENT::on_render (this=0x80bd980) at src/game/client/gameclient.cpp:379
:        i = <optimized out>
:#1  0x0804fa8c in modc_render () at src/game/client/clienthooks.cpp:22
:No locals.
:#2  0x08089a1a in client_render () at src/engine/client/ec_client.c:814
:No locals.
:#3  0x0804b5a9 in client_run () at src/engine/client/ec_client.c:1789
:        scope = {name = 0x80a7255 "client_render", parent = 0x80bbd00, first_child = 0x0, next_child = 0x80bbdc0, tick = 3992, start = 1314726963024082, total = 0, biggest = 0, last_delta = 19721}
:        frame_start_time = 1314726963023533
:        rootscope = {name = 0x80a722c "root", parent = 0x0, first_child = 0x80bbe00, next_child = 0x0, tick = 3992, start = 1314726963023535, total = 0, biggest = 0, last_delta = 25891}
:        bindaddr = {type = 0, ip = '\000' <repeats 15 times>, port = 0}
:        reporttime = 1314726964022958
:        reportinterval = 1000000
:        rootscope = {name = 0x80a722c "root", parent = 0x0, first_child = 0x80bbd00, next_child = 0x0, tick = 1, start = 1314722973022960, total = 3045463, biggest = 3045463, last_delta = 3045463}
:#4  main (argc=1, argv=0xbfc384f4) at src/engine/client/ec_client.c:2034
:No locals.
:From        To          Syms Read   Shared Object Library
:0x49a0f600  0x49a1ad6c  Yes         /lib/libpthread-2.14.so
:0x49a66670  0x49a73aac  Yes         /lib/libz.so.1.2.5
:0x469933a0  0x469b237c  Yes         /usr/lib/libwavpack.so.1.1.4
:0x469be8d0  0x469c002c  Yes         /usr/lib/libpnglite.so.0.1
:0x49c65310  0x49cf5fbc  Yes         /usr/lib/libX11.so.6.3.0
:0x4bb51a50  0x4bb99c2c  Yes         /usr/lib/libGL.so.1.2
:0x4b048d50  0x4b0a069c  Yes         /usr/lib/libGLU.so.1.3.071100
:0x4afa7280  0x4b00163c  Yes         /usr/lib/libSDL-1.2.so.0.11.3
:0x4a2b1760  0x4a324fdb  Yes         /usr/lib/libstdc++.so.6
:0x49a2a470  0x49a45b4c  Yes         /lib/libm-2.14.so
:0x49a7ef30  0x49a95c5c  Yes         /lib/libgcc_s-4.6.0-20110603.so.1
:0x49893d10  0x499b1d24  Yes         /lib/libc-2.14.so
:0x4985c850  0x49873aff  Yes         /lib/ld-2.14.so
:0x49d92e90  0x49da27bc  Yes         /usr/lib/libxcb.so.1.1.0
:0x49a53a60  0x49a54a8c  Yes         /lib/libdl-2.14.so
:0x49f0d6b0  0x49f1800c  Yes         /usr/lib/libXext.so.6.4.0
:0x4a05a7c0  0x4a05b1fc  Yes         /usr/lib/libXdamage.so.1.1.0
:0x4a01bed0  0x4a01e64c  Yes         /usr/lib/libXfixes.so.3.1.0
:0x4b9a3ad0  0x4b9a669c  Yes         /usr/lib/libXxf86vm.so.1.0.0
:0x4b70f420  0x4b714bdc  Yes         /usr/lib/libdrm.so.2.4.0
:0x49daca00  0x49dad88c  Yes         /usr/lib/libXau.so.6.0.0
:0x49a5b880  0x49a5f39c  Yes         /lib/librt-2.14.so
:0x4a023300  0x4a0294fc  Yes         /usr/lib/libXrender.so.1.3.0
:0x4a04fe70  0x4a05535c  Yes         /usr/lib/libXcursor.so.1.0.2
:0x00110fa0  0x001123fc  Yes         /usr/lib/libpulse-simple.so.0.0.3
:0x4a575070  0x4a5a503c  Yes         /usr/lib/libpulse.so.0.12.3
:0x4a523980  0x4a557f2c  Yes         /usr/lib/libpulsecommon-0.9.22.so
:0x4a4353a0  0x4a4354ec  Yes         /usr/lib/libX11-xcb.so.1.0.0
:0x4ac71410  0x4ac75d5c  Yes         /usr/lib/libSM.so.6.0.1
:0x4ac834e0  0x4ac923dc  Yes         /usr/lib/libICE.so.6.3.0
:0x4b59aeb0  0x4b59db9c  Yes         /usr/lib/libXtst.so.6.1.0
:0x4b5951f0  0x4b59593c  Yes         /usr/lib/libxcb-atom.so.1.0.0
:0x4a50ef10  0x4a512eec  Yes         /lib/libwrap.so.0.7.6
:0x4ab5d460  0x4abae52c  Yes         /usr/lib/libsndfile.so.1.0.25
:0x4a42dd80  0x4a4307ec  Yes         /usr/lib/libasyncns.so.0.3.1
:0x4a35e6a0  0x4a38dcfc  Yes         /lib/libdbus-1.so.3.5.4
:0x4a3a5f30  0x4a3a7b5c  Yes         /lib/libuuid.so.1.3.0
:0x4a02f780  0x4a03987c  Yes         /usr/lib/libXi.so.6.1.0
:0x4b82e120  0x4b83c96c  Yes         /lib/libnsl-2.14.so
:0x4b94d580  0x4b977848  Yes         /usr/lib/libFLAC.so.8.2.0
:0x4b371b90  0x4b37451c  Yes         /usr/lib/libvorbisenc.so.2.0.8
:0x4b65f770  0x4b675c5c  Yes         /usr/lib/libvorbis.so.0.4.5
:0x4b619320  0x4b61c06c  Yes         /usr/lib/libogg.so.0.7.1
:0x49bda5f0  0x49bea65c  Yes         /lib/libresolv-2.14.so
:0x00128d90  0x003d5d8c  Yes         /usr/lib/dri/nouveau_dri.so
:0x49aa0490  0x49ab1d9c  Yes         /lib/libselinux.so.1
:0x49ee3040  0x49efcc7c  Yes         /lib/libexpat.so.1.5.2
:0x0062e210  0x00630b5c  Yes         /usr/lib/libdrm_nouveau.so.1.0.0
:0x00abc7d0  0x014fb54c  Yes         /usr/lib/llvm/libLLVM-2.8.so
:0x4a49c000  0x4a49f61c  Yes         /usr/lib/libffi.so.5.0.10
:0x00606a40  0x0060df3c  Yes         /lib/libnss_files-2.14.so
:0x00612810  0x0061372c  Yes         /lib/libnss_mdns4_minimal.so.2
:0x00615c00  0x00619d8c  Yes         /lib/libnss_dns-2.14.so
:$1 = 0x0
:No symbol "__glib_assert_msg" in current context.
:eax            0x810aa00	135309824
:ecx            0x0	0
:edx            0xffffffff	-1
:ebx            0x4	4
:esp            0xbfc38310	0xbfc38310
:ebp            0xbfc38458	0xbfc38458
:esi            0x80bd980	134994304
:edi            0x0	0
:eip            0x806e6c3	0x806e6c3 <GAMECLIENT::on_render()+67>
:eflags         0x210202	[ IF RF ID ]
:cs             0x73	115
:ss             0x7b	123
:ds             0x7b	123
:es             0x7b	123
:fs             0x0	0
:gs             0x33	51
:Dump of assembler code for function GAMECLIENT::on_render():
:   0x0806e680 <+0>:	push   %esi
:   0x0806e681 <+1>:	push   %ebx
:   0x0806e682 <+2>:	lea    -0x24(%esp),%esp
:   0x0806e686 <+6>:	mov    0x30(%esp),%esi
:   0x0806e68a <+10>:	mov    %gs:0x14,%eax
:   0x0806e690 <+16>:	mov    %eax,0x1c(%esp)
:   0x0806e694 <+20>:	xor    %eax,%eax
:   0x0806e696 <+22>:	mov    %esi,(%esp)
:   0x0806e699 <+25>:	call   0x806e5a0 <GAMECLIENT::update_local_character_pos()>
:   0x0806e69e <+30>:	mov    %esi,(%esp)
:   0x0806e6a1 <+33>:	call   0x806e400 <GAMECLIENT::dispatch_input()>
:   0x0806e6a6 <+38>:	mov    0x100(%esi),%eax
:   0x0806e6ac <+44>:	test   %eax,%eax
:   0x0806e6ae <+46>:	jle    0x806e6ce <GAMECLIENT::on_render()+78>
:   0x0806e6b0 <+48>:	xor    %ebx,%ebx
:   0x0806e6b2 <+50>:	lea    0x0(%esi),%esi
:   0x0806e6b8 <+56>:	mov    (%esi,%ebx,4),%eax
:   0x0806e6bb <+59>:	lea    0x1(%ebx),%ebx
:   0x0806e6be <+62>:	mov    (%eax),%edx
:   0x0806e6c0 <+64>:	mov    %eax,(%esp)
:=> 0x0806e6c3 <+67>:	call   *0x1c(%edx)
:   0x0806e6c6 <+70>:	cmp    %ebx,0x100(%esi)
:   0x0806e6cc <+76>:	jg     0x806e6b8 <GAMECLIENT::on_render()+56>
:   0x0806e6ce <+78>:	mov    0x1c(%esp),%eax
:   0x0806e6d2 <+82>:	xor    %gs:0x14,%eax
:   0x0806e6d9 <+89>:	movb   $0x0,0x211(%esi)
:   0x0806e6e0 <+96>:	movb   $0x0,0x212(%esi)
:   0x0806e6e7 <+103>:	jne    0x806e6f0 <GAMECLIENT::on_render()+112>
:   0x0806e6e9 <+105>:	lea    0x24(%esp),%esp
:   0x0806e6ed <+109>:	pop    %ebx
:   0x0806e6ee <+110>:	pop    %esi
:   0x0806e6ef <+111>:	ret    
:   0x0806e6f0 <+112>:	call   0x804a3a4 <__stack_chk_fail@plt>
:End of assembler dump.

build_ids:
:97d55ffd6efc5eed698afadb6b8a5d52a07cb771
:76ecdf537438aa22bf0260336adca87ea948198e
:de6a505586d1f5b200592e907c5364d38e277c86
:1b68f729f6bfa773ceb671e60f136f23c520a7dd
:015461eb1dbf4f80b87a572a36090bc191d86534
:2b9008ea37cd42a99e3cadb4abecbaeee3334043
:97845cb2720bca8939ad32f1cab67f27a2c1921f
:0472aebd0f9529cebdfff9d72c5b3c9cbd6194ed
:45190d029703ca464ad5c5eb6b7f99426a51a2e3
:a2fef08ac42209df9d26dac4c54826fed68587c1
:c70a93beea79ea4e97343221f891d92efa91295f
:57199fcccbf44c6d5b9d3f38d3f9943cf2d73381
:64e6912d10e111cd12964bdcc6de8b3baa4058a0
:28b8cc9cda751c67558ec59cc16019154ebf56ae
:df162ddf3492fe6e79c0c25f6ebcc011c586e91b
:07fcedef1f951a847d2662baf33cc75db56632db
:64b179f00cdb231429678a327048cf465a272b6f
:233875db190fd0be099d718cadb2f6234ba6dac3
:07fd351eaaba30fe082a836e29c03d5f11f45edd
:837e1ca00132cf34660139487cceaddde3d607c5
:556dc456e04150d23e59763dce9a3be937267957
:84e26e803c112ad660e1653e7acc5a9587a24573
:5a4b4eca5a07087498a211616ade557aa901d893
:2dc4e4ea515eca25191148452fac07de08443eb8
:d2faf2dc007f9e3623cc4407eb3f75b94d64ea39
:a78b508f8256fa50d502ce0c83717a8ea066ecc6
:826bb4d8376c62b913b61301b276adab50e11c5a
:c0f4c1b29d774b73bab72675ac11f18a7e7641d2
:0d192779d2f7b989a36feddee99023f50c11f35b
:15bab279752ad8e30f901abae77bcb1ed1f38977
:3c708917c76dfe53257038d26bb67650dad8af94
:445ac109dc44eeeb78355c461d49f89d0f445966
:4d584b475e47d70151cb5c21e783c18d2bffe0a1
:8bae3ea4ef7ae53450c3cdd0ea43e7cf7d362c4f
:0c14e19cfa71be8dbee7582f9b90d4a5b886051e
:596747ce3b9e966753abd4a1d3dbbdc175004141
:8981a35be6b02de75b5f1bcd5b0871ff85ba6eb1
:a0b366e13cecd6a811ac0afa3481d443b583aa4c
:798697a352bae4178953ba502fb04f33dd0ed987
:617ed119e2ba2784a2d576977bcf5ee7f64a3e28
:25c5e67291f34713a82cdf92147adec423771905
:92a9033bbedc303317346dc414914fec5643bd7b
:2a52cd09c61c03596a378a105d7232d2b1f70124
:d3c1503a63d7f9c0b9b4a8a083e3ba68f6f95962
:030b651bfa42f57fde8249f7c6d3ece6d1f57343
:9551a4dab6275a0745808fd9c5d289ed6bce6be4
:872fe6020efffe0829a231da5dd4e51f41a4dce3
:9c04594db13fd8fd6e899a12f1d5cef5b52798cc
:6f87ea21308989c674f40d270f35514bbed96401
:fd361dae9284f187101aff8c3eea7b7cda77ddb3
:d750825aacbfd49e9bc229da775727fa82649a17
:eadee775fea6decdfedb95dde772d9f89ebac5fd
:1ecbaf5c5ac1f22012c83df335687b3c09ae5289
:55433495aa80cf9e1f994ea7e7ae278422ef1ede
:57e358eea7e9a0cdd0ccacc3119b609bed0d8a5c

dso_list:
:/usr/lib/gconv/gconv-modules.cache glibc-2.14-5.i686 (Fedora Project) 1313114638
:/usr/lib/libwavpack.so.1.1.4 wavpack-4.60.1-2.fc15.i686 (Fedora Project) 1305315785
:/usr/lib/libxcb-atom.so.1.0.0 xcb-util-0.3.6-2.fc15.i686 (Fedora Project) 1305315773
:/usr/bin/teeworlds teeworlds-0.5.2-3.fc15.i686 (Fedora Project) 1314073587
:/lib/libwrap.so.0.7.6 tcp_wrappers-libs-7.6-60.fc15.i686 (Fedora Project) 1305315771
:/usr/lib/libICE.so.6.3.0 libICE-1.0.6-3.fc15.i686 (Fedora Project) 1305315771
:/lib/libm-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313114638
:/lib/libnss_files-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313114638
:/usr/lib/libGL.so.1.2 mesa-libGL-7.11-1.fc15.i686 (Fedora Project) 1313114650
:/usr/lib/libXdamage.so.1.1.0 libXdamage-1.1.3-2.fc15.i686 (Fedora Project) 1305315773
:/usr/lib/libpulse-simple.so.0.0.3 pulseaudio-libs-0.9.22-5.fc15.i686 (Fedora Project) 1305315775
:/usr/lib/libXau.so.6.0.0 libXau-1.0.6-2.fc15.i686 (Fedora Project) 1305315773
:/usr/lib/libffi.so.5.0.10 libffi-3.0.9-2.fc15.i686 (Fedora Project) 1305315771
:/usr/lib/libasyncns.so.0.3.1 libasyncns-0.8-2.fc15.i686 (Fedora Project) 1305315773
:/usr/lib/libsndfile.so.1.0.25 libsndfile-1.0.25-1.fc15.i686 (Fedora Project) 1311693940
:/usr/lib/libstdc++.so.6.0.16 libstdc++-4.6.0-10.fc15.i686 (Fedora Project) 1312309713
:/lib/libdbus-1.so.3.5.4 dbus-libs-1:1.4.6-5.fc15.i686 (Fedora Project) 1312309731
:/usr/lib/libvorbisenc.so.2.0.8 libvorbis-1:1.3.2-1.fc15.i686 (Fedora Project) 1305315773
:/usr/lib/libdrm.so.2.4.0 libdrm-2.4.26-1.fc15.i686 (Fedora Project) 1307808750
:/usr/lib/libSM.so.6.0.1 libSM-1.2.0-2.fc15.i686 (Fedora Project) 1305315771
:/usr/lib/libX11.so.6.3.0 libX11-1.4.3-1.fc15.i686 (Fedora Project) 1305315773
:/usr/lib/libXext.so.6.4.0 libXext-1.2.0-2.fc15.i686 (Fedora Project) 1305315773
:/usr/lib/libXi.so.6.1.0 libXi-1.4.3-1.fc15.i686 (Fedora Project) 1308265690
:/usr/lib/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.i686 (Fedora Project) 1305315773
:/usr/lib/libX11-xcb.so.1.0.0 libX11-1.4.3-1.fc15.i686 (Fedora Project) 1305315773
:/lib/libpthread-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313114638
:/lib/ld-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313114638
:/usr/lib/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.i686 (Fedora Project) 1305315773
:/lib/libnss_dns-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313114638
:/lib/libz.so.1.2.5 zlib-1.2.5-3.fc15.i686 (Fedora Project) 1305315770
:/usr/lib/libpnglite.so.0.1 pnglite-0.1.17-1.fc15.3.i686 (Fedora Project) 1314073542
:/usr/lib/libFLAC.so.8.2.0 flac-1.2.1-6.fc12.i686 (Fedora Project) 1305315775
:/lib/libselinux.so.1 libselinux-2.0.99-4.fc15.i686 (Fedora Project) 1305315771
:/usr/lib/llvm/libLLVM-2.8.so llvm-libs-2.8-12.fc15.i686 (Fedora Project) 1314255303
:/lib/libc-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313114638
:/usr/lib/libpulsecommon-0.9.22.so pulseaudio-libs-0.9.22-5.fc15.i686 (Fedora Project) 1305315775
:/usr/lib/libdrm_nouveau.so.1.0.0 libdrm-2.4.26-1.fc15.i686 (Fedora Project) 1307808750
:/usr/lib/libogg.so.0.7.1 libogg-2:1.2.2-3.fc15.i686 (Fedora Project) 1305315771
:/usr/lib/libvorbis.so.0.4.5 libvorbis-1:1.3.2-1.fc15.i686 (Fedora Project) 1305315773
:/usr/lib/dri/nouveau_dri.so mesa-dri-drivers-7.11-1.fc15.i686 (Fedora Project) 1313114725
:/usr/lib/libXtst.so.6.1.0 libXtst-1.2.0-2.fc15.i686 (Fedora Project) 1305315773
:/lib/libresolv-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313114638
:/lib/libexpat.so.1.5.2 expat-2.0.1-11.fc15.i686 (Fedora Project) 1305315771
:/usr/lib/libpulse.so.0.12.3 pulseaudio-libs-0.9.22-5.fc15.i686 (Fedora Project) 1305315775
:/lib/libnsl-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313114638
:/usr/lib/locale/locale-archive glibc-common-2.14-5.i686 (Fedora Project) 1313114620
:/lib/librt-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313114638
:/usr/lib/libXxf86vm.so.1.0.0 libXxf86vm-1.1.1-2.fc15.i686 (Fedora Project) 1305315773
:/lib/libgcc_s-4.6.0-20110603.so.1 libgcc-4.6.0-10.fc15.i686 (Fedora Project) 1312309707
:/lib/libuuid.so.1.3.0 libuuid-2.19.1-1.4.fc15.i686 (Fedora Project) 1311693684
:/lib/libnss_mdns4_minimal.so.2 nss-mdns-0.10-9.fc15.i686 (Fedora Project) 1305315954
:/lib/libdl-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313114638
:/usr/lib/libxcb.so.1.1.0 libxcb-1.7-2.fc15.i686 (Fedora Project) 1305315773
:/usr/lib/libXfixes.so.3.1.0 libXfixes-5.0-1.fc15.i686 (Fedora Project) 1305315773
:/usr/lib/libSDL-1.2.so.0.11.3 SDL-1.2.14-11.fc15.i686 (Fedora Project) 1307721675
:/usr/lib/libGLU.so.1.3.071100 mesa-libGLU-7.11-1.fc15.i686 (Fedora Project) 1313114675

environ:
:XDG_SESSION_ID=1
:HOSTNAME=merk
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=2cb02a54863d8e8ce409c9e700000047-1314722900.971707-654674023
:QTDIR=/usr/lib/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-QvH137
:QTINC=/usr/lib/qt-3.3/include
:IMSETTINGS_MODULE=none
:USER=stian
:USERNAME=stian
:MAIL=/var/spool/mail/stian
:PATH=/usr/lib/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/stian/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/stian
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1663
:LANG=no_NO.utf8
:GDM_LANG=no_NO.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignorespace:erasedups
:HOME=/home/stian
:SHLVL=1
:LOGNAME=stian
:QTLIB=/usr/lib/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-ijuG9PI7lP,guid=3d467d79b46282571bade2f500000043
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/stian
:DISPLAY=:0.0
:G_BROKEN_FILENAMES=1
:XAUTHORITY=/var/run/gdm/auth-for-stian-3qODV2/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1674,unix/unix:/tmp/.ICE-unix/1674
:ORBIT_SOCKETDIR=/tmp/orbit-stian
:SSH_AUTH_SOCK=/tmp/keyring-QvH137/ssh
:GPG_AGENT_INFO=/tmp/keyring-QvH137/gpg:0:1
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/teeworlds.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=2117

maps:
:00110000-00113000 r-xp 00000000 fd:02 166144     /usr/lib/libpulse-simple.so.0.0.3
:00113000-00114000 rw-p 00002000 fd:02 166144     /usr/lib/libpulse-simple.so.0.0.3
:00114000-00523000 r-xp 00000000 fd:02 149672     /usr/lib/dri/nouveau_dri.so
:00523000-00538000 rw-p 0040e000 fd:02 149672     /usr/lib/dri/nouveau_dri.so
:00538000-00585000 rw-p 00000000 00:00 0 
:00585000-00605000 rwxp 00000000 00:00 0 
:00605000-00610000 r-xp 00000000 fd:02 13389      /lib/libnss_files-2.14.so
:00610000-00611000 r--p 0000a000 fd:02 13389      /lib/libnss_files-2.14.so
:00611000-00612000 rw-p 0000b000 fd:02 13389      /lib/libnss_files-2.14.so
:00612000-00614000 r-xp 00000000 fd:02 25220      /lib/libnss_mdns4_minimal.so.2
:00614000-00615000 rw-p 00001000 fd:02 25220      /lib/libnss_mdns4_minimal.so.2
:00615000-0061b000 r-xp 00000000 fd:02 13387      /lib/libnss_dns-2.14.so
:0061b000-0061c000 r--p 00005000 fd:02 13387      /lib/libnss_dns-2.14.so
:0061c000-0061d000 rw-p 00006000 fd:02 13387      /lib/libnss_dns-2.14.so
:0062d000-00632000 r-xp 00000000 fd:02 156265     /usr/lib/libdrm_nouveau.so.1.0.0
:00632000-00633000 rw-p 00004000 fd:02 156265     /usr/lib/libdrm_nouveau.so.1.0.0
:008bb000-008bc000 r-xp 00000000 00:00 0          [vdso]
:008bc000-0179b000 r-xp 00000000 fd:02 281875     /usr/lib/llvm/libLLVM-2.8.so
:0179b000-018f7000 rw-p 00edf000 fd:02 281875     /usr/lib/llvm/libLLVM-2.8.so
:018f7000-01903000 rw-p 00000000 00:00 0 
:03740000-04140000 rwxp 00000000 00:00 0 
:08045000-080b8000 r-xp 00000000 fd:02 160260     /usr/bin/teeworlds
:080b8000-080bc000 rw-p 00072000 fd:02 160260     /usr/bin/teeworlds
:080bc000-084fc000 rw-p 00000000 00:00 0 
:09a5e000-0a638000 rw-p 00000000 00:00 0          [heap]
:46992000-469bb000 r-xp 00000000 fd:02 154307     /usr/lib/libwavpack.so.1.1.4
:469bb000-469bc000 rw-p 00028000 fd:02 154307     /usr/lib/libwavpack.so.1.1.4
:469be000-469c1000 r-xp 00000000 fd:02 168391     /usr/lib/libpnglite.so.0.1
:469c1000-469c2000 rw-p 00002000 fd:02 168391     /usr/lib/libpnglite.so.0.1
:4985c000-49879000 r-xp 00000000 fd:02 5068       /lib/ld-2.14.so
:49879000-4987a000 r--p 0001d000 fd:02 5068       /lib/ld-2.14.so
:4987a000-4987b000 rw-p 0001e000 fd:02 5068       /lib/ld-2.14.so
:4987d000-49a02000 r-xp 00000000 fd:02 23956      /lib/libc-2.14.so
:49a02000-49a03000 ---p 00185000 fd:02 23956      /lib/libc-2.14.so
:49a03000-49a05000 r--p 00185000 fd:02 23956      /lib/libc-2.14.so
:49a05000-49a06000 rw-p 00187000 fd:02 23956      /lib/libc-2.14.so
:49a06000-49a09000 rw-p 00000000 00:00 0 
:49a0b000-49a21000 r-xp 00000000 fd:02 23960      /lib/libpthread-2.14.so
:49a21000-49a22000 r--p 00015000 fd:02 23960      /lib/libpthread-2.14.so
:49a22000-49a23000 rw-p 00016000 fd:02 23960      /lib/libpthread-2.14.so
:49a23000-49a25000 rw-p 00000000 00:00 0 
:49a27000-49a4f000 r-xp 00000000 fd:02 23961      /lib/libm-2.14.so
:49a4f000-49a50000 r--p 00028000 fd:02 23961      /lib/libm-2.14.so
:49a50000-49a51000 rw-p 00029000 fd:02 23961      /lib/libm-2.14.so
:49a53000-49a56000 r-xp 00000000 fd:02 23957      /lib/libdl-2.14.so
:49a56000-49a57000 r--p 00002000 fd:02 23957      /lib/libdl-2.14.so
:49a57000-49a58000 rw-p 00003000 fd:02 23957      /lib/libdl-2.14.so
:49a5a000-49a61000 r-xp 00000000 fd:02 23963      /lib/librt-2.14.so
:49a61000-49a62000 r--p 00006000 fd:02 23963      /lib/librt-2.14.so
:49a62000-49a63000 rw-p 00007000 fd:02 23963      /lib/librt-2.14.so
:49a65000-49a7a000 r-xp 00000000 fd:02 23965      /lib/libz.so.1.2.5
:49a7a000-49a7b000 rw-p 00014000 fd:02 23965      /lib/libz.so.1.2.5
:49a7d000-49a99000 r-xp 00000000 fd:02 23962      /lib/libgcc_s-4.6.0-20110603.so.1
:49a99000-49a9a000 rw-p 0001b000 fd:02 23962      /lib/libgcc_s-4.6.0-20110603.so.1
:49a9c000-49ab9000 r-xp 00000000 fd:02 23973      /lib/libselinux.so.1
:49ab9000-49aba000 r--p 0001c000 fd:02 23973      /lib/libselinux.so.1
:49aba000-49abb000 rw-p 0001d000 fd:02 23973      /lib/libselinux.so.1
:49bd8000-49bee000 r-xp 00000000 fd:02 23972      /lib/libresolv-2.14.so
:49bee000-49bef000 r--p 00016000 fd:02 23972      /lib/libresolv-2.14.so
:49bef000-49bf0000 rw-p 00017000 fd:02 23972      /lib/libresolv-2.14.so
:49bf0000-49bf2000 rw-p 00000000 00:00 0 
:49c51000-49d86000 r-xp 00000000 fd:02 165945     /usr/lib/libX11.so.6.3.0
:49d86000-49d8a000 rw-p 00134000 fd:02 165945     /usr/lib/libX11.so.6.3.0
:49d8c000-49da9000 r-xp 00000000 fd:02 165894     /usr/lib/libxcb.so.1.1.0
:49da9000-49daa000 rw-p 0001d000 fd:02 165894     /usr/lib/libxcb.so.1.1.0
:49dac000-49dae000 r-xp 00000000 fd:02 165850     /usr/lib/libXau.so.6.0.0
:49dae000-49daf000 rw-p 00001000 fd:02 165850     /usr/lib/libXau.so.6.0.0
:49ee1000-49f07000 r-xp 00000000 fd:02 23966      /lib/libexpat.so.1.5.2
:49f07000-49f09000 rw-p 00026000 fd:02 23966      /lib/libexpat.so.1.5.2
:49f0b000-49f1b000 r-xp 00000000 fd:02 165952     /usr/lib/libXext.so.6.4.0
:49f1b000-49f1c000 rw-p 00010000 fd:02 165952     /usr/lib/libXext.so.6.4.0
:4a01b000-4a01f000 r-xp 00000000 fd:02 165956     /usr/lib/libXfixes.so.3.1.0
:4a01f000-4a020000 rw-p 00003000 fd:02 165956     /usr/lib/libXfixes.so.3.1.0
:4a022000-4a02b000 r-xp 00000000 fd:02 165948     /usr/lib/libXrender.so.1.3.0
:4a02b000-4a02c000 rw-p 00008000 fd:02 165948     /usr/lib/libXrender.so.1.3.0
:4a02e000-4a03c000 r-xp 00000000 fd:02 165954     /usr/lib/libXi.so.6.1.0
:4a03c000-4a03d000 rw-p 0000d000 fd:02 165954     /usr/lib/libXi.so.6.1.0
:4a04e000-4a057000 r-xp 00000000 fd:02 165957     /usr/lib/libXcursor.so.1.0.2
:4a057000-4a058000 rw-p 00008000 fd:02 165957     /usr/lib/libXcursor.so.1.0.2
:4a05a000-4a05c000 r-xp 00000000 fd:02 165959     /usr/lib/libXdamage.so.1.1.0
:4a05c000-4a05d000 rw-p 00001000 fd:02 165959     /usr/lib/libXdamage.so.1.1.0
:4a269000-4a34b000 r-xp 00000000 fd:02 134834     /usr/lib/libstdc++.so.6.0.16
:4a34b000-4a34f000 r--p 000e1000 fd:02 134834     /usr/lib/libstdc++.so.6.0.16
:4a34f000-4a351000 rw-p 000e5000 fd:02 134834     /usr/lib/libstdc++.so.6.0.16
:4a351000-4a357000 rw-p 00000000 00:00 0 
:4a359000-4a3a0000 r-xp 00000000 fd:02 14973      /lib/libdbus-1.so.3.5.4
:4a3a0000-4a3a1000 ---p 00047000 fd:02 14973      /lib/libdbus-1.so.3.5.4
:4a3a1000-4a3a2000 r--p 00047000 fd:02 14973      /lib/libdbus-1.so.3.5.4
:4a3a2000-4a3a3000 rw-p 00048000 fd:02 14973      /lib/libdbus-1.so.3.5.4
:4a3a5000-4a3a9000 r-xp 00000000 fd:02 23967      /lib/libuuid.so.1.3.0
:4a3a9000-4a3aa000 rw-p 00003000 fd:02 23967      /lib/libuuid.so.1.3.0
:4a42d000-4a432000 r-xp 00000000 fd:02 153786     /usr/lib/libasyncns.so.0.3.1
:4a432000-4a433000 rw-p 00004000 fd:02 153786     /usr/lib/libasyncns.so.0.3.1
:4a435000-4a436000 r-xp 00000000 fd:02 144538     /usr/lib/libX11-xcb.so.1.0.0
:4a436000-4a437000 rw-p 00000000 fd:02 144538     /usr/lib/libX11-xcb.so.1.0.0
:4a49b000-4a4a0000 r-xp 00000000 fd:02 166100     /usr/lib/libffi.so.5.0.10
:4a4a0000-4a4a1000 rw-p 00005000 fd:02 166100     /usr/lib/libffi.so.5.0.10
:4a50d000-4a515000 r-xp 00000000 fd:02 10042      /lib/libwrap.so.0.7.6
:4a515000-4a516000 rw-p 00008000 fd:02 10042      /lib/libwrap.so.0.7.6
:4a518000-4a56a000 r-xp 00000000 fd:02 166142     /usr/lib/libpulsecommon-0.9.22.so
:4a56a000-4a56b000 rw-p 00052000 fd:02 166142     /usr/lib/libpulsecommon-0.9.22.so
:4a56d000-4a5b3000 r-xp 00000000 fd:02 166143     /usr/lib/libpulse.so.0.12.3
:4a5b3000-4a5b4000 rw-p 00045000 fd:02 166143     /usr/lib/libpulse.so.0.12.3
:4ab5a000-4abc6000 r-xp 00000000 fd:02 154331     /usr/lib/libsndfile.so.1.0.25
:4abc6000-4abc8000 rw-p 0006c000 fd:02 154331     /usr/lib/libsndfile.so.1.0.25
:4abc8000-4abcc000 rw-p 00000000 00:00 0 
:4ac70000-4ac77000 r-xp 00000000 fd:02 159829     /usr/lib/libSM.so.6.0.1
:4ac77000-4ac78000 rw-p 00006000 fd:02 159829     /usr/lib/libSM.so.6.0.1
:4ac80000-4ac96000 r-xp 00000000 fd:02 154229     /usr/lib/libICE.so.6.3.0
:4ac96000-4ac98000 rw-p 00015000 fd:02 154229     /usr/lib/libICE.so.6.3.0
:4ac98000-4ac99000 rw-p 00000000 00:00 0 
:4afa2000-4b016000 r-xp 00000000 fd:02 154334     /usr/lib/libSDL-1.2.so.0.11.3
:4b016000-4b018000 rw-p 00073000 fd:02 154334     /usr/lib/libSDL-1.2.so.0.11.3
:4b018000-4b044000 rw-p 00000000 00:00 0 
:4b046000-4b0b6000 r-xp 00000000 fd:02 148632     /usr/lib/libGLU.so.1.3.071100
:4b0b6000-4b0b7000 rw-p 00070000 fd:02 148632     /usr/lib/libGLU.so.1.3.071100
:4b36b000-4b4d1000 r-xp 00000000 fd:02 165052     /usr/lib/libvorbisenc.so.2.0.8
:4b4d1000-4b4e2000 rw-p 00165000 fd:02 165052     /usr/lib/libvorbisenc.so.2.0.8
:4b594000-4b597000 r-xp 00000000 fd:02 166014     /usr/lib/libxcb-atom.so.1.0.0
:4b597000-4b598000 rw-p 00002000 fd:02 166014     /usr/lib/libxcb-atom.so.1.0.0
:4b59a000-4b59f000 r-xp 00000000 fd:02 157759     /usr/lib/libXtst.so.6.1.0
:4b59f000-4b5a0000 rw-p 00004000 fd:02 157759     /usr/lib/libXtst.so.6.1.0
:4b618000-4b61e000 r-xp 00000000 fd:02 165965     /usr/lib/libogg.so.0.7.1
:4b61e000-4b61f000 rw-p 00005000 fd:02 165965     /usr/lib/libogg.so.0.7.1
:4b65d000-4b687000 r-xp 00000000 fd:02 165966     /usr/lib/libvorbis.so.0.4.5
:4b687000-4b688000 rw-p 00029000 fd:02 165966     /usr/lib/libvorbis.so.0.4.5
:4b70d000-4b717000 r-xp 00000000 fd:02 166058     /usr/lib/libdrm.so.2.4.0
:4b717000-4b718000 rw-p 0000a000 fd:02 166058     /usr/lib/libdrm.so.2.4.0
:4b82b000-4b841000 r-xp 00000000 fd:02 23992      /lib/libnsl-2.14.so
:4b841000-4b842000 r--p 00016000 fd:02 23992      /lib/libnsl-2.14.so
:4b842000-4b843000 rw-p 00017000 fd:02 23992      /lib/libnsl-2.14.so
:4b843000-4b845000 rw-p 00000000 00:00 0 
:4b944000-4b980000 r-xp 00000000 fd:02 157815     /usr/lib/libFLAC.so.8.2.0
:4b980000-4b981000 rw-p 0003c000 fd:02 157815     /usr/lib/libFLAC.so.8.2.0
:4b9a3000-4b9a7000 r-xp 00000000 fd:02 151082     /usr/lib/libXxf86vm.so.1.0.0
:4b9a7000-4b9a8000 rw-p 00003000 fd:02 151082     /usr/lib/libXxf86vm.so.1.0.0
:4bb3c000-4bbbc000 r-xp 00000000 fd:02 166059     /usr/lib/libGL.so.1.2
:4bbbc000-4bbc3000 rw-p 00080000 fd:02 166059     /usr/lib/libGL.so.1.2
:4bbc3000-4bbc4000 rw-p 00000000 00:00 0 
:b2300000-b2321000 rw-p 00000000 00:00 0 
:b2321000-b2400000 ---p 00000000 00:00 0 
:b2481000-b2482000 ---p 00000000 00:00 0 
:b2482000-b2c82000 rw-p 00000000 00:00 0 
:b678a000-b678b000 rw-p 00000000 00:00 0 
:b678d000-b67ac000 rw-p 00000000 00:00 0 
:b67ad000-b67fd000 rw-p 00000000 00:00 0 
:b687d000-b6880000 rw-p 00000000 00:00 0 
:b6900000-b6921000 rw-p 00000000 00:00 0 
:b6921000-b6a00000 ---p 00000000 00:00 0 
:b6ae1000-b6c02000 rw-p 00000000 00:00 0 
:b6d3b000-b6f3b000 r--p 00000000 fd:02 161107     /usr/lib/locale/locale-archive
:b6f3b000-b6f3c000 ---p 00000000 00:00 0 
:b6f3c000-b7742000 rw-p 00000000 00:00 0 
:b7753000-b775a000 r--s 00000000 fd:02 160073     /usr/lib/gconv/gconv-modules.cache
:b775a000-b775c000 rw-p 00000000 00:00 0 
:bfc05000-bfc39000 rw-p 00000000 00:00 0          [stack]

var_log_messages:
:Aug 29 16:46:21 merk abrt[15596]: saved core dump of pid 15454 (/usr/bin/teeworlds) to /var/spool/abrt/ccpp-2011-08-29-16:46:20-15454.new/coredump (48480256 bytes)
:Aug 29 19:41:22 merk abrt[2210]: saved core dump of pid 2049 (/usr/bin/teeworlds) to /var/spool/abrt/ccpp-2011-08-29-19:41:21-2049.new/coredump (50253824 bytes)
:Aug 30 18:45:53 merk abrt[22704]: saved core dump of pid 16475 (/usr/bin/teeworlds) to /var/spool/abrt/ccpp-2011-08-30-18:45:49-16475.new/coredump (52011008 bytes)
:Aug 30 19:56:06 merk abrt[6213]: saved core dump of pid 2117 (/usr/bin/teeworlds) to /var/spool/abrt/ccpp-2011-08-30-19:56:05-2117.new/coredump (49610752 bytes)

xsession_errors:
:[4e5d149c][engine/datadir]: 	/home/stian/.teeworlds
:[4e5d149c][engine/datadir]: 	/usr/share/teeworlds
:[4e5d149c][engine/datadir]: saving files to: /home/stian/.teeworlds
:[4e5d25ba][engine/datadir]: 	/home/stian/.teeworlds
:[4e5d25ba][engine/datadir]: 	/usr/share/teeworlds
:[4e5d25ba][engine/datadir]: saving files to: /home/stian/.teeworlds

Comment 1 Fedora End Of Life 2012-08-07 16:51:40 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.